Bug 232591 - kernel rpm install blows away grub preferences
kernel rpm install blows away grub preferences
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: Reopened, Triaged
Depends On:
  Show dependency treegraph
Reported: 2007-03-16 05:53 EDT by emerson
Modified: 2009-12-18 00:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 00:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description emerson 2007-03-16 05:53:57 EDT
Description of problem:
Installing a new/updated kernel RPM will alter grub.conf to point to that
kernel, regardless of previous settings.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Edit /etc/grub.conf to "default=saved"
2.  Install a recent kernel rpm
Actual results:
New kernel rpm will put itself as the first stanza in the grub.conf, and then
will set "default=1"

Expected results:
I would hope that it could be made smart enough to notice if my default was
pointed somewhere that -wasn't- the previous revision of the fedora kernel, and
not destroy my preferences of "default=saved" or "default=X" where X is some
non-Fedora choice.

Additional info:
I certainly understand wanting, for security and user-proofing reasons, more
recent kernel installs to be automatically booted next time up.  It would be
happier-making on us tinkerers, though, if the grub.conf hacking would be made
aware of multi-OS systems, ie, notice whether the current "default" pref is set
to the current Fedora kernel before blowing over it with the newly-installed one.

If I wanted to install an OS that would make itself the default boot option
without asking, I'd stick with XP... (j/k)  ;-)
Comment 1 Dave Jones 2007-03-19 15:15:11 EDT
policy decisions on the grub.conf entries are handled by grubby, a part of mkinitrd.
Comment 2 Bug Zapper 2008-04-04 02:33:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:21:34 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Sam Tygier 2009-02-24 07:40:08 EST
this seems to still be an issue in F10
Comment 5 Bug Zapper 2009-11-18 04:15:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-12-18 00:54:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.